﻿<script type="text/javascript" src="@Url.Content("~/Scripts/jquery-ui.min.js")"></script>
<script type="text/javascript">

    var isOnSearching = "N";
    var isOnEdit = "N";
    var isOnAdd = "N";
    var isOnDelete="N";
    var isOnReset="N";
    var FA = [];
    

    function OnSearch(s, e) {
        GRIDFA.UnselectAllRowsOnPage();
        isOnSearching = "Y";
        GRIDFA.ClearFilter();
    }

    function setFilterParameterSearch(s, e) {
        var BUYER_CD = I_BUYER_CD.GetValue();
        var PD_CD = I_PD_CD.GetValue();
        var DESTINATION = I_DESTINATION.GetValue();
        var COURIER_COMPANY = I_COURIER_COMPANY.GetValue();
        var REMAKS = I_REMAKS.GetText();
        var FORWARDER = I_FORWARDER.GetValue();
        var DELETION_STATUS = I_DELETION_STATUS.GetValue();
        var IMPORTER = I_IMPORTER.GetValue();
        var COUNTRY = I_COUNTRY.GetValue();
        var AC_NO_TO_USE = I_AC_NO_TO_USE.GetValue();
        var BEP = I_BEP.GetValue();
        var PACKING_COMPANY = I_PACKING_COMPANY.GetValue();
         FA =
                {
                    "BUYER_CD": BUYER_CD,
                    "PD_CD": PD_CD,
                    "DESTINATION": DESTINATION,
                    "COURIER_COMPANY": COURIER_COMPANY,
                    "REMARKS": REMAKS,
                    "FORWARDER": FORWARDER,
                    "DELETION_STATUS": DELETION_STATUS,
                    "IMPORTER": IMPORTER,
                    "COUNTRY": COUNTRY,
                    "BEP": BEP,
                    'AC_NO_TO_USE':AC_NO_TO_USE,
                    "PACKING_COMPANY": PACKING_COMPANY
                };                
                e.customArgs["Data"] = JSON.stringify(FA);
    }
    function unSetFilterParamter(s,e){
        var BUYER_CD = I_BUYER_CD.GetValue();
        var PD_CD = I_PD_CD.GetValue();
        var DESTINATION = I_DESTINATION.GetValue();
        var COURIER_COMPANY = I_COURIER_COMPANY.GetValue();
        var REMAKS = I_REMAKS.GetText();
        var FORWARDER = I_FORWARDER.GetValue();
        var DELETION_STATUS = I_DELETION_STATUS.GetValue();
        var IMPORTER = I_IMPORTER.GetValue();
        var COUNTRY = I_COUNTRY.GetValue();
        var AC_NO_TO_USE = I_AC_NO_TO_USE.GetValue();
        var BEP = I_BEP.GetValue();
        var PACKING_COMPANY = I_PACKING_COMPANY.GetValue();
        FA =
                {
                    "BUYER_CD": BUYER_CD,
                    "PD_CD": PD_CD,
                    "DESTINATION": DESTINATION,
                    "COURIER_COMPANY": COURIER_COMPANY,
                    "REMAKS": REMAKS,
                    "FORWARDER": FORWARDER,
                    "DELETION_STATUS": DELETION_STATUS,
                    "IMPORTER": IMPORTER,
                    "COUNTRY": COUNTRY,
                    "BEP": BEP,
                    "PACKING_COMPANY": PACKING_COMPANY
                };
         e.customArgs["Data"] = JSON.stringify(FA);
    }

    function GridFAOnBeginCallback(s, e) {
        if ( isOnSearching == "Y") {
                setFilterParameterSearch(s, e);
        }
        else if (isOnEdit == "Y") {
            e.customArgs["Data"] = JSON.stringify(FA);
        }
        else if (isOnAdd == "Y") {
            e.customArgs["Data"] = JSON.stringify(FA);
        }
        else if(isOnDelete=="Y"){
             e.customArgs["Data"] = JSON.stringify(FA);
        }
        else{
            unSetFilterParamter(s, e);
        }
    }

    function GridFAOnEndCallback(s,e){
        if (GRIDFA.GetVisibleRowsOnPage() <= 0 && isOnSearching == "Y"  ){
            alert("@ViewBag.MSPX00001ERR");
        }
        isOnEdit = "N";
        isOnSearching = "N";
        isOnAdd = "N";
        isOnDelete="N";
    }

    function Pu_Add(s, e) {
        I_Mode.SetText("Add");
//        I_BUYER_CD3.SetEnabled(true);
//        I_PD_CD3.SetEnabled(true);
        PU_FA.Show();
    }

    function OnBeginCallBackPopupFA(s, e) {
        e.customArgs["Mode"] = I_Mode.GetText();
          var Keys =
                    {
                        "BUYER_CD": I_BUYER_CD2.GetText(),
                        "PD_CD":I_PD_CD2.GetText(),
                        "FORWARDER":I_FORWARDER2.GetText(),
                        "BEP":I_BEP2.GetText(),
                        "ROLE":I_ROLE2.GetText(),
                        "RANGE_FROM":I_RANGE_FROM2.GetText()!=null?I_RANGE_FROM2.GetText():null,
                        "RANGE_TO":I_RANGE_TO2.GetText()!=null?I_RANGE_TO2.GetText():null,
                        "COURIER_COMPANY":I_COURIER_COMPANY2.GetText(),
                        "PACKING_COMPANY":I_PACKING_COMPANY2.GetText()//,
//                        "FLIGHT":I_FLIGHT2.GetText(),
//                        "FLIGHT_DEPARTURE_STRING":I_FLIGHT_DEPARTURE2.GetText(),
//                        "CONNECTING_FLIGHT":I_CONNECTING_FLIGHT2.GetText(),
//                        "CONNECTING_DEPARTURE_STRING":I_CONNECTING_DEPARTURE2.GetText()
                    };
          console.log(Keys);
          e.customArgs["Keys"] = JSON.stringify(Keys);
    }

    function EndCallBackPopupFA(s, e) {
        
        if (I_Mode3.GetValue() == "Add") {     
                   
            I_BEP3.SetEnabled(false);
            I_BEP3.GetMainElement().style.backgroundColor = "lightgray";
            I_ROLE3.SetEnabled(false);
            I_ROLE3.GetMainElement().style.backgroundColor = "lightgray";
            I_RANGE_FROM3.SetEnabled(false);
            I_RANGE_FROM3.GetMainElement().style.backgroundColor = "lightgray";
            I_RANGE_TO3.SetEnabled(false);
            I_RANGE_TO3.GetMainElement().style.backgroundColor = "lightgray";
            I_COURIER_COMPANY3.SetEnabled(false);
            I_COURIER_COMPANY3.GetMainElement().style.backgroundColor = "lightgray";                        
        }else if (I_Mode3.GetValue() == "Edit") {   
            I_BUYER_CD3.SetValue (I_OLD_BUYER_CD.GetText());
            I_PD_CD3.SetValue (i_OLD_PD_CD.GetText());
            I_FORWARDER3.SetValue (i_OLD_FORWARDER.GetText());
            I_BEP3.SetValue (i_OLD_BEP.GetText());
            I_ROLE3.SetValue (i_OLD_ROLE.GetText());            
            I_RANGE_FROM3.SetValue (i_OLD_RANGE_FROM.GetText()!=""?i_OLD_RANGE_FROM.GetText():null);
            I_RANGE_TO3.SetValue (i_OLD_RANGE_TO.GetText()!=""?i_OLD_RANGE_TO.GetText():null);
//            alert(i_OLD_COURIER_COMPANY.GetText());
            if(i_OLD_COURIER_COMPANY.GetText() != "")
                I_COURIER_COMPANY3.SetValue (i_OLD_COURIER_COMPANY.GetText());
            I_PACKING_COMPANY3.SetValue (i_OLD_PACKING_COMPANY.GetText());
            if (I_RANGE_FROM3.GetValue()==null || I_RANGE_FROM3.GetText()=="" ){
                I_RANGE_FROM3.SetEnabled(false);
                I_RANGE_FROM3.GetMainElement().style.backgroundColor = "lightgray";            
            }
            if (I_RANGE_TO3.GetValue()==null || I_RANGE_TO3.GetText()=="" ){
                I_RANGE_TO3.SetEnabled(false);
                I_RANGE_TO3.GetMainElement().style.backgroundColor = "lightgray";
                I_COURIER_COMPANY3.SetEnabled(false);
            }
            
        } else if (I_Mode3.GetValue() == "Copy") {
            I_BUYER_CD3.SetValue(I_OLD_BUYER_CD.GetText());
            I_PD_CD3.SetValue(i_OLD_PD_CD.GetText());
            I_FORWARDER3.SetValue(i_OLD_FORWARDER.GetText());
            I_BEP3.SetValue(i_OLD_BEP.GetText());
            I_ROLE3.SetValue(i_OLD_ROLE.GetText());
            I_RANGE_FROM3.SetValue(i_OLD_RANGE_FROM.GetText() != "" ? i_OLD_RANGE_FROM.GetText() : null);
            I_RANGE_TO3.SetValue(i_OLD_RANGE_TO.GetText() != "" ? i_OLD_RANGE_TO.GetText() : null);
            //            alert(i_OLD_COURIER_COMPANY.GetText());
            if (i_OLD_COURIER_COMPANY.GetText() != "")
                I_COURIER_COMPANY3.SetValue(i_OLD_COURIER_COMPANY.GetText());
            I_PACKING_COMPANY3.SetValue(i_OLD_PACKING_COMPANY.GetText());
            if (I_RANGE_FROM3.GetValue() == null || I_RANGE_FROM3.GetText() == "") {
                I_RANGE_FROM3.SetEnabled(false);
                I_RANGE_FROM3.GetMainElement().style.backgroundColor = "lightgray";
            }
            if (I_RANGE_TO3.GetValue() == null || I_RANGE_TO3.GetText() == "") {
                I_RANGE_TO3.SetEnabled(false);
                I_RANGE_TO3.GetMainElement().style.backgroundColor = "lightgray";
                I_COURIER_COMPANY3.SetEnabled(false);
            }

        }

        
    }

    function onForwarderClick(s, e) {
//        if (I_FORWARDER3.GetText() == "NEW FORWARDER") {
//            I_TextForwarder3.SetVisible(true);
//            I_RANGE_FROM3.SetEnabled(false);
//            I_RANGE_FROM3.GetMainElement().style.backgroundColor = "lightgray";
//            I_RANGE_TO3.SetEnabled(false);
//            I_RANGE_TO3.GetMainElement().style.backgroundColor = "lightgray";
//            I_ROLE3.SetEnabled(false);
//            I_ROLE3.GetMainElement().style.backgroundColor = "lightgray";
//            //I_BEP3.PerformCallback();
//        }
//        else if (I_FORWARDER3.GetText() == "-") {
//            I_TextForwarder3.SetVisible(false);
//            I_RANGE_TO3.SetEnabled(false);
//            I_RANGE_TO3.GetMainElement().style.backgroundColor = "lightgray";
//            I_RANGE_FROM3.SetEnabled(false);
//            I_RANGE_FROM3.GetMainElement().style.backgroundColor = "lightgray";
//            I_ROLE3.SetEnabled(false);
//            I_ROLE3.GetMainElement().style.backgroundColor = "lightgray";
//            //I_BEP3.PerformCallback();
//        }
//        else if (I_FORWARDER3.GetText() == "TBC") {
//            I_TextForwarder3.SetVisible(false);
//            I_RANGE_TO3.SetEnabled(false);
//            I_RANGE_TO3.GetMainElement().style.backgroundColor = "lightgray";
//            I_RANGE_FROM3.SetEnabled(false);
//            I_RANGE_FROM3.GetMainElement().style.backgroundColor = "lightgray";
//            //I_BEP3.PerformCallback();
//            I_ROLE3.SetEnabled(true);
//            I_ROLE3.GetMainElement().style.backgroundColor = "white";
//            I_ROLE3.PerformCallback();
//        }
//        else {
//            I_TextForwarder3.SetVisible(false);
//            I_RANGE_FROM3.SetEnabled(false);
//            I_RANGE_FROM3.GetMainElement().style.backgroundColor = "lightgray";
//            I_RANGE_TO3.SetEnabled(false);
//            I_RANGE_TO3.GetMainElement().style.backgroundColor = "lightgray";
//            I_ROLE3.SetEnabled(false);
//            I_ROLE3.GetMainElement().style.backgroundColor = "lightgray";            
//        } 
        if (I_FORWARDER3.GetText() == "NEW FORWARDER") {
            I_TextForwarder3.SetVisible(true);
        }
        else{
            I_TextForwarder3.SetVisible(false);
        }
        I_RANGE_FROM3.SetEnabled(false);
        I_RANGE_FROM3.SetValue(null);
        I_RANGE_FROM3.GetMainElement().style.backgroundColor = "lightgray";
        I_RANGE_TO3.SetEnabled(false);
        I_RANGE_TO3.SetValue(null);
        I_RANGE_TO3.GetMainElement().style.backgroundColor = "lightgray";
        I_ROLE3.SetEnabled(false);
        I_ROLE3.SetValue(null);
        I_ROLE3.GetMainElement().style.backgroundColor = "lightgray"; 
        I_COURIER_COMPANY3.SetEnabled(false);
        I_COURIER_COMPANY3.SetValue(null);
        I_COURIER_COMPANY3.GetMainElement().style.backgroundColor = "lightgray"; 
        I_BEP3.PerformCallback();
        I_BEP3.SetEnabled(true);
        I_BEP3.GetMainElement().style.backgroundColor = "white";
    }

    function OnBEP3BeginCallback(s,e) {
        e.customArgs["FORWARDER"] = I_FORWARDER3.GetText();
    }

    function OnBEP3Click(s,e){
        I_ROLE3.PerformCallback();                
        I_COURIER_COMPANY3.PerformCallback();
        I_ROLE3.SetEnabled(true);
        I_ROLE3.GetMainElement().style.backgroundColor = "white";
        I_COURIER_COMPANY3.SetEnabled(true);
        I_COURIER_COMPANY3.GetMainElement().style.backgroundColor = "white";
        I_RANGE_FROM3.SetEnabled(false);
        I_RANGE_FROM3.SetValue(null);
        I_RANGE_FROM3.GetMainElement().style.backgroundColor = "lightgray";

        I_RANGE_TO3.SetEnabled(false);
        I_RANGE_TO3.SetValue(null);
        I_RANGE_TO3.GetMainElement().style.backgroundColor = "lightgray";
        
    }

//    function OnBEP3EndCallBack() {
//       
//        if (I_BEP3.GetValue() == "WEIGHT") {
//            I_RANGE_FROM3.SetEnabled(true);
//            I_RANGE_FROM3.GetMainElement().style.backgroundColor = "white";
//            I_RANGE_TO3.SetEnable(true);
//            I_RANGE_TO3.GetMainElement().style.backgroundColor = "white";
//        }
//        else {
//            I_RANGE_FROM3.SetEnabled(false);
//            I_RANGE_FROM3.SetValue(null);
//            I_RANGE_FROM3.GetMainElement().style.backgroundColor = "lightgray";

//            I_RANGE_TO3.SetEnabled(false);
//            I_RANGE_TO3.SetValue(null);
//            I_RANGE_TO3.GetMainElement().style.backgroundColor = "lightgray";

//        }           
//    }
    
    function OnROLE3BeginCallBack(s, e) {        
        if (I_FORWARDER3.GetValue()=="TBC"){
            e.customArgs["BEP"] = I_FORWARDER3.GetValue();
        }
        else{
        e.customArgs["BEP"] = I_BEP3.GetValue();
        }
        //I_ROLE3.SetEnable(true);
       // s.SetEnable(true);
    }
    function OnROLE3EndCallBack(s, e) {        
        //e.customArgs["BEP"] = I_BEP3.GetValue();
        I_ROLE3.SetEnabled(true);
        I_ROLE3.GetMainElement().style.backgroundColor = "white";
       // s.SetEnable(true);
    }

    function OnRoleClick(s,e){
        //WEIGHT = '<'
        if(I_BEP3.GetValue()=="WEIGHT" && I_ROLE3.GetValue()=="<"){
            //Range from is enabled
            I_RANGE_FROM3.SetEnabled(true);
            I_RANGE_FROM3.GetMainElement().style.backgroundColor = "white";

            I_RANGE_TO3.SetEnabled(false);
            I_RANGE_TO3.SetValue(null);
            I_RANGE_TO3.GetMainElement().style.backgroundColor = "lightgray";
        }
        //WEIGHT = '>'
        else if(I_BEP3.GetValue()=="WEIGHT" && I_ROLE3.GetValue()==">"){
            //Range from is enabled
            I_RANGE_FROM3.SetEnabled(true);
            I_RANGE_FROM3.GetMainElement().style.backgroundColor = "white";

            I_RANGE_TO3.SetEnabled(false);
            I_RANGE_TO3.SetValue(null);
            I_RANGE_TO3.GetMainElement().style.backgroundColor = "lightgray";
        }
        else if(I_BEP3.GetValue()=="WEIGHT" && I_ROLE3.GetValue()=="RANGE"){
            //Range from is enabled
            I_RANGE_FROM3.SetEnabled(true);
            I_RANGE_FROM3.GetMainElement().style.backgroundColor = "white";

            I_RANGE_TO3.SetEnabled(true);
            I_RANGE_TO3.GetMainElement().style.backgroundColor = "white";
        }
        else {
            I_RANGE_FROM3.SetEnabled(false);
            I_RANGE_FROM3.SetValue(null);
            I_RANGE_FROM3.GetMainElement().style.backgroundColor = "lightgray";

            I_RANGE_TO3.SetEnabled(false);
            I_RANGE_TO3.SetValue(null);
            I_RANGE_TO3.GetMainElement().style.backgroundColor = "lightgray";
        }
    }
    function OnCourierCompanyBeginCallback(s, e) {
        e.customArgs["BEP"] = I_BEP3.GetValue();
    }

    function OnPD2BeginCallback(s, e) {
        e.customArgs["BUYER_CD"] = I_BUYER_CD3.GetValue();
    }

    function OnSave(s, e) {
        var BUYER_CD = I_BUYER_CD3.GetValue();
        var PD_CD = I_PD_CD3.GetValue();
        var IMPORTER = I_IMPORTER3.GetText();
        var DESTINATION = I_DESTINATION3.GetText();
        var COUNTRY = I_COUNTRY3.GetText();
        var AC_NO_TO_USE = I_AC_NO_TO_USE3.GetText();
        var FORWARDER =""
        if (I_FORWARDER3.GetValue() == "NEW FORWARDER") {
            FORWARDER = I_TextForwarder3.GetText();
        }
        else {
            FORWARDER = I_FORWARDER3.GetValue();
        }
        var BEP = I_BEP3.GetValue();
        var ROLE = I_ROLE3.GetValue();
        var RANGE_FROM = I_RANGE_FROM3.GetText();
        if(RANGE_FROM != "") 
            RANGE_FROM = I_RANGE_FROM3.GetValue();
        var RANGE_TO = I_RANGE_TO3.GetText();
        if(RANGE_TO != "") 
            RANGE_TO = I_RANGE_TO3.GetValue();
        var COURIER_COMPANY = I_COURIER_COMPANY3.GetText();
        if(COURIER_COMPANY == null)
            COURIER_COMPANY = "";
        var REMARKS = I_REMARKS3.GetText();
        var PACKING_COMPANY = I_PACKING_COMPANY3.GetText();


        if (BUYER_CD == "" || PD_CD == "" || PD_CD == null || IMPORTER == "" || DESTINATION == "" || COUNTRY == "" || COURIER_COMPANY == ""
        || FORWARDER == "" || BEP == "" || ROLE == "" || PACKING_COMPANY == "" || FORWARDER == null || BEP == null || ROLE == null || COURIER_COMPANY == null ) {
            alert("Mandatory data cannot be null");
        }
        else {
             
            if (I_Mode3.GetValue() == "Add" || I_Mode3.GetValue() == "Copy") {
                FA =
                    {
                        "BUYER_CD": BUYER_CD,
                        "PD_CD":PD_CD,
                        "IMPORTER":IMPORTER,
                        "DESTINATION":DESTINATION,
                        "COUNTRY":COUNTRY,
                        "AC_NO_TO_USE":AC_NO_TO_USE,
                        "FORWARDER":FORWARDER,
                        "BEP":BEP,
                        "ROLE":ROLE,
                        "RANGE_FROM":RANGE_FROM,
                        "RANGE_TO":RANGE_TO,
                        "COURIER_COMPANY":COURIER_COMPANY,
                        "REMARKS":REMARKS,
                        "PACKING_COMPANY":PACKING_COMPANY
                    };
                AddData(FA);
            }
            else if(I_Mode3.GetValue() == "Edit"){
                //old data
                var OLD_BUYER_CD=I_OLD_BUYER_CD.GetText();
                var OLD_PD_CD=i_OLD_PD_CD.GetText();
                var OLD_FORWARDER=i_OLD_FORWARDER.GetText();
                var OLD_BEP=i_OLD_BEP.GetText();
                var OLD_ROLE=i_OLD_ROLE.GetText();
                var OLD_RANGE_FROM=i_OLD_RANGE_FROM.GetText()!="" ?i_OLD_RANGE_FROM.GetText():null ;
                var OLD_RANGE_TO=i_OLD_RANGE_TO.GetText()!="" ?i_OLD_RANGE_TO.GetText():null ;
                var OLD_COURIER_COMPANY=i_OLD_COURIER_COMPANY.GetText();
                var OLD_PACKING_COMPANY=i_OLD_PACKING_COMPANY.GetText();
                FA =
                    {
                        "BUYER_CD": BUYER_CD,
                        "PD_CD":PD_CD,
                        "IMPORTER":IMPORTER,
                        "DESTINATION":DESTINATION,
                        "COUNTRY":COUNTRY,
                        "AC_NO_TO_USE":AC_NO_TO_USE,
                        "FORWARDER":FORWARDER,
                        "BEP":BEP,
                        "ROLE":ROLE,
                        "RANGE_FROM":RANGE_FROM,
                        "RANGE_TO":RANGE_TO,
                        "COURIER_COMPANY":COURIER_COMPANY,
                        "REMARKS":REMARKS,
                        "PACKING_COMPANY":PACKING_COMPANY,
                        "OLD_BUYER_CD":OLD_BUYER_CD,
                        "OLD_PD_CD":OLD_PD_CD,
                        "OLD_FORWARDER":OLD_FORWARDER,
                        "OLD_BEP":OLD_BEP,
                        "OLD_ROLE":OLD_ROLE,
                        "OLD_RANGE_FROM":OLD_RANGE_FROM,
                        "OLD_RANGE_TO":OLD_RANGE_TO,
                        "OLD_COURIER_COMPANY":OLD_COURIER_COMPANY,
                        "OLD_PACKING_COMPANY":OLD_PACKING_COMPANY
                    };
                UpdateData(FA);
            }

        }        
    }
    
    function AddData(FA){
        isOnSearching = "Y";
        
        $.post("@Url.Action("AddData")",FA,function(data)
        {      
            if (data.success.trim()=="true"){
                alert(data.messages);
                PU_FA.Hide(); 
                isOnAdd = "Y";
                GRIDFA.UnselectAllRowsOnPage();
                GRIDFA.ClearFilter();
                }  
            else{
                alert(data.messages);
            }                
        });
    }
    
    function UpdateData(FA){
        isOnSearching = "Y";
        
        $.post("@Url.Action("UpdateData")",FA,function(data)
        {      
            if (data.success.trim()=="true"){
                alert(data.messages);
                PU_FA.Hide(); 
                isOnEdit = "Y";
                GRIDFA.UnselectAllRowsOnPage();
                GRIDFA.ClearFilter();
            }  
            else{
                alert(data.messages);
            }                
        });
    }

    function  OnDelete(s,e){
                var selectedrow = GRIDFA.GetSelectedRowCount();

                if (selectedrow == 0) {
                    alert("@ViewBag.MSPX00006ERR");
                }
                if (confirm('Are you sure want to delete?')){
                    var KeyList = [];
                    var x=GRIDFA.GetSelectedKeysOnPage();
                    for(var i = 0; i < GRIDFA.GetSelectedRowCount(); i++){
                        var a= x[i].split('|');
                        KeyList.push({
                                            "BUYER_CD": a[0],
                                            "PD_CD": a[1],
                                            "FORWARDER":a[2],
                                            "BEP":a[3],
                                            "ROLE":a[4],
                                            "RANGE_FROM":a[5],
                                            "RANGE_TO":a[6],
                                            "COURIER_COMPANY":a[7],
                                            "PACKING_COMPANY":a[8]
                                      });
                    }
                    $.ajax(
                        {
                            type: "POST",
                            url:"@Url.Content("~/ForwardingAgentAirAssignment/DeleteFA")",
                            //traditional: true,
                            data: JSON.stringify({FAs:KeyList}),
                                //location.reload();                        
                        
                            //traditional: true,
                            contentType: "application/json; charset=utf-8",
                            success: function (resultMessage) {
                                alert(resultMessage.messages); 
                                if (resultMessage.success=="true"){
                                    isOnDelete="Y";
                                    GRIDFA.UnselectAllRowsOnPage();
                                    GRIDFA.ClearFilter();
                                }
                            },
                            error: function (resultMessage) {
                                alert(resultMessage.messages);
                            }

                    });
                }
    }

    function ShowEditPopUp(s,e){
                var selectedrow = GRIDFA.GetSelectedRowCount();
                
                if (selectedrow == 0) {
                    alert("@ViewBag.MSPX00006ERR");
                }
                else if (selectedrow >1){
                   alert("@ViewBag.MSPX00009ERR");
                }
                else {
                    
                    I_Mode.SetText("Edit");
                    var selectedrow = GRIDFA.GetSelectedRowCount();
                    //if (confirm('Are you sure want to delete?')){
                        var KeyList = [];
                        var x=GRIDFA.GetSelectedKeysOnPage();
                        for(var i = 0; i < GRIDFA.GetSelectedRowCount(); i++){
                                var a= x[i].split('|'); 
                                I_BUYER_CD2.SetText(a[0]); 
                                I_PD_CD2.SetText(a[1]); 
                                I_FORWARDER2.SetText(a[2]); 
                                I_BEP2.SetText(a[3]); 
                                I_ROLE2.SetText(a[4]); 
                                I_RANGE_FROM2.SetText(a[5]); 
                                I_RANGE_TO2.SetText(a[6]);
                                I_COURIER_COMPANY2.SetText(a[7]);
                                I_PACKING_COMPANY2.SetText(a[8]);
                        }
                        PU_FA.Show();
                     }
                //}
    }
    function OnHide(s,e){
        PU_FA.Hide();
    } 

    function OnDownload(s,e){
            var BUYER_CD = I_BUYER_CD.GetText();
        var PD_CD = I_PD_CD.GetText();
        var DESTINATION = I_DESTINATION.GetText();
        var COURIER_COMPANY = I_COURIER_COMPANY.GetText();
        var REMAKS = I_REMAKS.GetText();
        var FORWARDER = I_FORWARDER.GetText();
        var DELETION_STATUS = I_DELETION_STATUS.GetText();
        var IMPORTER = I_IMPORTER.GetText();
        var COUNTRY = I_COUNTRY.GetText();
        var AC_NO_TO_USE = I_AC_NO_TO_USE.GetText();
        var BEP = I_BEP.GetText();
        var PACKING_COMPANY = I_BEP.GetText();
         FA =
                {
                    "BUYER_CD": BUYER_CD,
                    "PD_CD": PD_CD,
                    "DESTINATION": DESTINATION,
                    "COURIER_COMPANY": COURIER_COMPANY,
                    "REMAKS": REMAKS,
                    "FORWARDER": FORWARDER,
                    "DELETION_STATUS": DELETION_STATUS,
                    "IMPORTER": IMPORTER,
                    "COUNTRY": COUNTRY,
                    "BEP": BEP,
                    "PACKING_COMPANY": PACKING_COMPANY
                };                
        var link  ="@Url.Content("~/ForwardingAgentAirAssignment/DOWMLOADFA?FA=")"+JSON.stringify(FA);       
        window.open(link, "_blank");  
    }

    function Reset(s,e){
        GRIDFA.UnselectAllRowsOnPage();
        I_BUYER_CD.SetValue(null);
        I_PD_CD.SetValue(null);
        I_DESTINATION.SetValue(null);
        I_COURIER_COMPANY.SetValue(null);
        I_REMAKS.SetValue(null);
        I_FORWARDER.SetValue(null);
        I_DELETION_STATUS.SetValue(null);
        I_IMPORTER.SetValue(null);
        I_COUNTRY.SetValue(null);
        I_AC_NO_TO_USE.SetValue(null);
        I_BEP.SetValue(null);
        I_PACKING_COMPANY.SetValue(null);
        isOnReset="Y";
        GRIDFA.ClearFilter();
    }

    function OnCopyData(s, e) {
        var selectedrow = GRIDFA.GetSelectedRowCount();

        if (selectedrow == 0) {
            alert("@ViewBag.MSPX00006ERR");
        }
        else if (selectedrow > 1) {
            alert("@ViewBag.MSPX00009ERR");
        }
        else {

            I_Mode.SetText("Copy");
            var selectedrow = GRIDFA.GetSelectedRowCount();
            //if (confirm('Are you sure want to delete?')){
            var KeyList = [];
            var x = GRIDFA.GetSelectedKeysOnPage();
            for (var i = 0; i < GRIDFA.GetSelectedRowCount() ; i++) {
                var a = x[i].split('|');
                I_BUYER_CD2.SetText(a[0]);
                I_PD_CD2.SetText(a[1]);
                I_FORWARDER2.SetText(a[2]);
                I_BEP2.SetText(a[3]);
                I_ROLE2.SetText(a[4]);
                I_RANGE_FROM2.SetText(a[5]);
                I_RANGE_TO2.SetText(a[6]);
                I_COURIER_COMPANY2.SetText(a[7]);
                I_PACKING_COMPANY2.SetText(a[8]);
            }
            PU_FA.Show();
        }
    }
</script>